Search screen and audio content
curl --request GET \
--url https://api.example.com/searchimport requests
url = "https://api.example.com/search"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.example.com/search', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"type": "OCR",
"content": {
"frame_id": 123,
"text": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"file_path": "<string>",
"offset_index": 123,
"app_name": "<string>",
"window_name": "<string>",
"tags": [
"<string>"
],
"frame": "<string>",
"frame_name": "<string>",
"browser_url": "<string>",
"focused": true,
"device_name": "<string>"
}
}
],
"pagination": {
"limit": 123,
"offset": 123,
"total": 123
},
"cloud": {
"cloudSearchAvailable": true,
"cloudHasRelevantData": true,
"cloudQueryHint": "<string>",
"status": "available"
}
}Search
Search screen and audio content
Query captured screen text (accessibility-first with OCR fallback), audio transcriptions, and UI elements with filters for time range, app, window, content type, and more.
Search screen and audio content
Query Parameters
Available options:
all, ocr, audio, input, accessibility, memory Was this page helpful?